Subject: Re: i2c i2c-2: I2C write to 0x2d failed, err -27 on Xserve G5

From: Michael Ellerman <[email-masked]>
Date: Tue, 08 Sep 2015 18:40:50 +1000

On Mon, 2015-09-07 at 21:54 -0700, Nick Schmalenberger wrote:
> Hi all,
> I'm running this kernel:
> [  +0.000000] Linux version 3.16.0-4-powerpc64
> ([email-masked]) (gcc version 4.8.4 (Debian
> 4.8.4-1) ) #1 SMP Debian 3.16.7-ckt11-1+deb8u3 (2015-08-04)
> 
> on my Xserve G5, and it works great except these messages keep
> coming in dmesg:
> [Sep 4 19:11] i2c i2c-2: I2C write to 0x2d failed, err -27
> [Sep 4 19:29] i2c i2c-2: I2C write to 0x2d failed, err -27
> [Sep 4 20:04] i2c i2c-2: I2C write to 0x2d failed, err -27
> [Sep 4 20:29] i2c i2c-2: I2C write to 0x2d failed, err -27
> 
> Is this a known problem, or has been fixed in a newer version
> since this branch in Debian? I see in the mailing list, there are
> some i2c related fixes. I can run a kernel.org kernel + apply
> patches if that should help. See attached full dmesg and lspci 
> for more details. Thanks!  

Hi Nick,

3.16 is fairly old, so if you can try an upstream kernel, even 4.2, that would
be great. If you still see the errors with that then maybe we can start
debugging it.

cheers